Bug 44746 - joe SRPM needs build dependency on ncurses-devel
Summary: joe SRPM needs build dependency on ncurses-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: joe   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-15 21:29 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-15 21:29:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-15 21:29:31 UTC
Description of Problem: with the 7.1 product, you cannot build the joe SRPM
without having ncurses-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/joe*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
ncurses-devel rpm, the glms SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
  1. rpm -e ncurses-devel
  2. rpm -Uvh <tree-path>/SRPMS/joe*.src.rpm
  3. rpm -ba /usr/src/redhat/SPECS/joe*spec
  4. rpm -Uvh <tree-path>/RedHat/RPMS/ncurses-devel*
  5. rpm -ba /usr/src/redhat/SPECS/joe*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from 
rpm(1)
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the joe SRPM cannot be built without installing the
ncurses-devel RPM.


Additional Information:

Comment 1 Helge Deller 2001-06-18 12:10:21 UTC
re-assigned to the "joe"-package,
it's already fixed in joe-2.9.6-1.src.rpm (7.2 tree)



Note You need to log in before you can comment on or make changes to this bug.